From aaf0fbbf109908ae97bf73b2aa8d8c59c8568591 Mon Sep 17 00:00:00 2001
From: Barun Parruck <barun.parruck@gmail.com>
Date: Mon, 7 Mar 2016 16:40:30 +0530
Subject: [PATCH] Fixes black toolbar on Mac OS X

A QT bug (#39210), causes issues with the toolbar on Mac OS X. This will fix one of the resulting issues, the black background.
---
 src/Gui/MainWindow.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/Gui/MainWindow.cpp b/src/Gui/MainWindow.cpp
index 2df028a..28721f4 100644
--- a/src/Gui/MainWindow.cpp
+++ b/src/Gui/MainWindow.cpp
@@ -77,7 +77,8 @@ MainWindow::MainWindow( Backend::IBackend* backend, QWidget *parent )
     , m_wizard( NULL )
 {
     m_ui.setupUi( this );
-
+// Bug in QT for Macs : https://bugreports.qt.io/browse/QTBUG-39210
+    setUnifiedTitleAndToolBarOnMac( false );
     Core::getInstance()->logger()->setup();
     //Preferences
     initVlmcPreferences();
-- 
2.3.2 (Apple Git-55)

